Drop Latest change lines, add initial support for Debian/squeeze
[grml-live.git] / etc / grml / fai / grml / grml_cleanup_chroot.remove_docs
1 #!/bin/bash
2 # Filename:      /etc/grml/fai/grml/grml_cleanup_chroot_remove_docs
3 # Purpose:       remove docs in grml chroot
4 # Authors:       (c) Michael Prokop <mika@grml.org>
5 # License:       This file is licensed under the GPL v2.
6 ################################################################################
7
8 . /etc/grml/lsb-functions || exit 6
9
10 einfo "Cleaning documentation directories..."
11 if [ -d /usr/share/doc/grml-docs ] ; then
12    mv /usr/share/doc/grml-docs /tmp/
13 fi
14
15 rm -rf /usr/share/doc
16 mkdir /usr/share/doc
17
18 if [ -d /tmp/grml-docs ] ; then
19    mv /tmp/grml-docs /usr/share/doc/grml-docs
20 fi
21
22 rm -rf /usr/share/gtk-doc/
23 rm -rf /usr/share/man/
24 rm -rf /usr/man
25 rm -rf /usr/share/info
26 rm -rf /var/cache/man/*
27 eend $?
28
29 einfo "Creating /usr/share/info/..."
30 mkdir -p /usr/share/info/
31 eend $?
32
33 ## END OF FILE #################################################################